
public class Class162_Sub2 extends Class162 implements Interface15 {

   public void method43(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
   }

   public int method30() {
      return 0;
   }

   public long method75() {
      return this.aBuffer2003.method75();
   }

   public void method74(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
   }

   public long method77() {
      return this.aBuffer2003.method75();
   }

   public int method32() {
      return 0;
   }

   public int method37() {
      return 0;
   }

   public int method31() {
      return 0;
   }

   public long method76() {
      return this.aBuffer2003.method75();
   }

   public int method33() {
      return 0;
   }

   public void method78(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
   }

   Class162_Sub2(Class545_Sub1 var1, int var2, byte[] var3, int var4) {
      super(var1, var3, var4);
   }

   public void method42(int var1, byte[] var2, int var3) {
      this.method2829(var2, var3);
   }
}
